Bug 35940 - Remove unused SPI in WebPluginController.mm
Summary: Remove unused SPI in WebPluginController.mm
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Andy Estes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-09 12:59 PST by Brady Eidson
Modified: 2010-03-12 07:45 PST (History)
2 users (show)

See Also:


Attachments
Patch (1.07 KB, patch)
2010-03-11 11:20 PST, Andy Estes
beidson: review-
Details | Formatted Diff | Diff
Patch (v2) (1.12 KB, patch)
2010-03-11 11:54 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (v3) (1.12 KB, patch)
2010-03-11 11:56 PST, Andy Estes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2010-03-09 12:59:36 PST
In WebPluginController.mm, I noticed:
// For compatibility only.
- (void)showURL:(NSURL *)URL inFrame:(NSString *)target
{ ... }

I did some digging, and this method was left around to support an ANCIENT version of the java plug-in and is no longer needed.  We should nuke it.
Comment 1 Brady Eidson 2010-03-09 13:25:53 PST
http://trac.webkit.org/changeset/55742
Comment 2 Brady Eidson 2010-03-09 13:26:10 PST
(In reply to comment #1)
> http://trac.webkit.org/changeset/55742

Disregard, put this in the wrong bug.
Comment 3 Andy Estes 2010-03-11 11:20:14 PST
Created attachment 50518 [details]
Patch
Comment 4 Brady Eidson 2010-03-11 11:44:41 PST
Comment on attachment 50518 [details]
Patch

r+
Comment 5 Brady Eidson 2010-03-11 11:51:07 PST
Comment on attachment 50518 [details]
Patch

Actually to be a stickler - you should mention this bug in the ChangeLog.
Comment 6 Brady Eidson 2010-03-11 11:51:26 PST
(changed to r-)
Comment 7 Andy Estes 2010-03-11 11:54:50 PST
Created attachment 50523 [details]
Patch (v2)
Comment 8 Andy Estes 2010-03-11 11:56:00 PST
Created attachment 50525 [details]
Patch (v3)

Tabs!
Comment 9 Brady Eidson 2010-03-11 11:59:09 PST
Comment on attachment 50525 [details]
Patch (v3)

r+
Comment 10 WebKit Commit Bot 2010-03-12 07:45:31 PST
Comment on attachment 50525 [details]
Patch (v3)

Clearing flags on attachment: 50525

Committed r55901: <http://trac.webkit.org/changeset/55901>
Comment 11 WebKit Commit Bot 2010-03-12 07:45:35 PST
All reviewed patches have been landed.  Closing bug.